package com.fjhx.sale.mapper.contract;

import com.fjhx.sale.entity.contract.po.Contract;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.vo.ContractVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 外销合同表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
public interface ContractMapper extends BaseMapper<Contract> {

    /**
     * 外销合同表分页
     */
    Page<ContractVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Contract> wrapper);

    /**
     * 根据客户ID查询未包装的订单
     * @param customerId
     * @return
     */
    List<ContractVo> getNoPackContractByCustomerId(@Param("customerId")String customerId);

}
